Deltascripts Pro Publish 2.0 set_inc.php Stored Pufferüberlauf

CVSS Meta Temp ScoreAktueller Exploitpreis (≈)CTI Interest Score
5.1$0-$5k0.00

Eine kritische Schwachstelle wurde in Deltascripts Pro Publish 2.0 ausgemacht. Es geht hierbei um ein unbekannter Codeblock der Datei set_inc.php. Durch Beeinflussen mit einer unbekannten Eingabe kann eine Pufferüberlauf-Schwachstelle (Stored) ausgenutzt werden. Klassifiziert wurde die Schwachstelle durch CWE als CWE-119. Mit Auswirkungen muss man rechnen für Vertraulichkeit und Integrität. CVE fasst zusammen:

Direct static code injection vulnerability in Pro Publish 2.0 allows rmeote authenticated administrators to execute arbitrary PHP code by editing certain settings, which are stored in set_inc.php.

Die Schwachstelle wurde am 30.04.2006 durch Aliaksandr Hartsuyeu (Website) veröffentlicht. Das Advisory kann von vupen.com heruntergeladen werden. Die Identifikation der Schwachstelle findet seit dem 01.05.2006 als CVE-2006-2129 statt. Sie gilt als leicht ausnutzbar. Der Angriff kann über das Netzwerk passieren. Zur Ausnutzung ist eine einfache Authentisierung erforderlich. Zur Schwachstelle sind technische Details bekannt, ein verfügbarer Exploit jedoch nicht.

Er wird als proof-of-concept gehandelt. Mittels inurl:set_inc.php können durch Google Hacking potentiell verwundbare Systeme gefunden werden.

Es sind keine Informationen bezüglich Gegenmassnahmen bekannt. Der Einsatz eines alternativen Produkts bietet sich im Zweifelsfall an.

Mitunter wird der Fehler auch in der Verwundbarkeitsdatenbank von X-Force (26149) dokumentiert. Mit dieser Schwachstelle verwandte Einträge finden sich unter 29995, 83895, 83896 und 83897.

Produktinfo

Hersteller

Name

CPE 2.3info

CPE 2.2info

CVSSv3info

VulDB Meta Base Score: 5.4
VulDB Meta Temp Score: 5.1

VulDB Base Score: 5.4
VulDB Temp Score: 5.1
VulDB Vector: 🔍
VulDB Zuverlässigkeit: 🔍

CVSSv2info

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VektorKomplexitätAuthentisierungVertraulichkeitIntegritätVerfügbarkeit
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Zuverlässigkeit: 🔍

NVD Base Score: 🔍

Exploitinginfo

Name: Stored
Klasse: Pufferüberlauf / Stored
CWE: CWE-119
ATT&CK: Unbekannt

Lokal: Nein
Remote: Ja

Verfügbarkeit: 🔍
Status: Proof-of-Concept
Google Hack: 🔍

EPSS Score: 🔍
EPSS Percentile: 🔍

Preisentwicklung: 🔍
Aktuelle Preisschätzung: 🔍

0-Dayfreischaltenfreischaltenfreischaltenfreischalten
Heutefreischaltenfreischaltenfreischaltenfreischalten

Threat Intelligenceinfo

Interesse: 🔍
Aktive Akteure: 🔍
Aktive APT Gruppen: 🔍

Gegenmassnahmeninfo

Empfehlung: keine Massnahme bekannt
Status: 🔍

0-Day Time: 🔍

Timelineinfo

30.04.2006 🔍
01.05.2006 +0 Tage 🔍
01.05.2006 +0 Tage 🔍
01.05.2006 +0 Tage 🔍
01.05.2006 +0 Tage 🔍
12.03.2015 +3236 Tage 🔍
06.09.2017 +909 Tage 🔍

Quelleninfo

Advisory: vupen.com
Person: Aliaksandr Hartsuyeu
Status: Nicht definiert

CVE: CVE-2006-2129 (🔍)
X-Force: 26149 - Pro Publish set_inc.php file include
SecurityFocus: 17762 - DeltaScripts PHP Pro Publish Multiple SQL Injection Vulnerabilities
Secunia: 19882
OSVDB: 25128 - PHP Pro Publish set_inc.php Arbitrary PHP Code Execution
Vupen: ADV-2006-1578

Siehe auch: 🔍

Eintraginfo

Erstellt: 12.03.2015 12:19
Aktualisierung: 06.09.2017 14:54
Anpassungen: (1) advisory_person_name
Komplett: 🔍

Kommentare

Bisher keine Kommentare. Sprachen: de + en.

Bitte loggen Sie sich ein, um kommentieren zu können.

Might our Artificial Intelligence support you?

Check our Alexa App!